#include "Command.h"
#include "Level.h"
#include "List.h"

using namespace std;

const string RestoreCommand::_id = "restore";

void RestoreCommand::execute()
{
	Level::instance()->restore();
}

std::string RestoreCommand::getString()
{
	List *command = new List();
	command->snoc(new Atom(_id));

	string commandString = command->getString();
	delete command;

	return commandString;
}